<%@ Language=VBScript %>
<% option explicit 
	Response.Expires = -1
	Response.Buffer = true
%>
<!-- #include file="../inc/consts.asp" -->
<!-- #include file="../inc/common.asp" -->
<!-- #include file="../inc/lib.asp" -->
<!-- #include file="inc/odbclib.asp" -->
<html>
<head>
<meta NAME="GENERATOR" Content="Microsoft FrontPage 4.0">
<title>Testing DSN</title>
<% 

Dim oInstDb, oServer, strStatus, flStopped, strServer, strServerName, strRefInterval, strBackPage
Dim oSection, i, strServerURL, strServerNameURL, strResult, strDSN, strCS, strDBType

' get DSN 	
strDSN = Request.QueryString("dsn")

strServer = Request.QueryString("srv")
strServerName = Request.QueryString("sname")

flStopped = not IsServerRunning(strServer, oServer)
	
if not flStopped then
	
	' Microsoft SQL is a specific case for testing DSN
	' It requirs the UID and PWD to be set in the connection string
	' example - DSN=MSSQLTEST;UID=user;PWD=password

	' vars for SetoINIFile
	Dim oINIFile, iErr, strErrDesc, strINIFile ' and oSection
	strINIFile = strServer & "/odbc.ini"
	
	on error resume next
	' declared in odbclib.asp
	Call SetoINIFile
	If iErr<>0 then
		Response.Redirect "../error.asp?error=3&desc=" & Server.URLEncode(strErrDesc) & "&num=" & Server.URLEncode(iErr)
	end if
	
	Set oSection = oINIFile.Sections(Request.QueryString("dsn"))
	
	strCS = ""
	
	strDBType = Trim(oSection.Items("#DBS_DRIVER_NAME").Value)
	iErr = Err.number
	strErrDesc = Err.description
	If iErr=0 then
		if (InStr(UCase(strDBType), "MICROSOFT SQL SERVER")<>0) then
			strCS = ";UID=" & oSection.Items("LogonID").Value & ";PWD=" & oSection.Items("Password").Value
		end if
	else 
		Response.Redirect "../error.asp?error=3&desc=" & Server.URLEncode(strErrDesc) & "&num=" & Server.URLEncode(iErr)
	end if
	on error goto 0
	
	' we send the server name and the location of asp server. Also we send connection string after "DSN=" to the test page on the
	' production engine. See testdsn.asp in the SYSAPP
	strDSN = Server.URLEncode(Request.QueryString("dsn") & strCS)
	Response.Redirect oServer.ServerURL & "/" & c_sys_app & "/testdsn.asp?dsn=" & strDSN & _
		"&sn=" & Server.URLEncode(strServerName) & "&sl=" & Server.URLEncode(strServer)

end if

strServerURL = Server.URLEncode(strServer)
strServerNameURL = Server.URLEncode(strServerName)

%>
</head>

<body bgcolor="#FFFFFF" topmargin="0" leftmargin="0" link="#FFFFFF" vlink="#FFFFFF" alink="#FFFFFF">

<div align="left">
  <table border="0" width="420" height="10">
    <tr>
      <td width="8"></td>
      <td width="400">

<font face="Arial Black, Helvetica" size="4">server - <font color="#777777"><%= strServerName %>
</font><br>
Test DSN - <font color="#777777"><%= strDSN%></font></font>
<hr align="left" color="#000000" width="100%">

<p>
<font face="Verdane, Arial, Helvetica" size="2">
<% if flStopped then %>
ASP Server is stopped. To test the DSN you must <A href="../server.action.asp?action=2&server=<%= strServerURL %>"><font color="#000000">start</font></A> it.
<% else %>
<%= strResult %>
<% end if %>
</font>
</p>
      </td>
    </tr>
  </table>
</div>

</body>
</html>
