<% Option Explicit %>
<!-- #include file="inc/common.asp" -->
<%
Response.Buffer = TRUE

Dim strActionID, strServer, oInstDb, oServer, oINIFile, oSection 
Dim iErr, strErrDesc

	strActionID = Request.QueryString("action")
	strServer = Request.QueryString("server")
	
	Set oInstDb = CreateObject("chili.installed_db")
	Set oServer = oInstDb.Servers(strServer)
	
	on error resume next

	select case strActionID
	case "1" ' Stop
		oServer.Stop
		
	case "2" ' Start
		oServer.Start

	case "3" ' restart
		oServer.Restart

	case "4" ' Remove server
		if UCase(Request.QueryString("btnRemove")) = "YES" Then
			oInstDb.RemoveServer( oServer.Location )
		end if
	case "5" ' Remove application

		if UCase(Request.QueryString("btnRemove")) = "YES" Then
			Set oINIFile = CreateObject("chili.inifile")
			oINIFile.Open (oServer.Location & "/casp.cnfg")
			Set oSection = oINIFile.Sections("applications")
			oSection.DeleteItem(Request.QueryString("app"))
			oServer.RestartWebServer
		end if

		Set oINIFile = CreateObject("chili.inifile")
		oINIFile.Open (oServer.Location & "/casp.cnfg")
		oINIFile.Sections("admin").Items("restart").value = "yes"

	case  "configapp", "addapp" ' Config/Add application 
		if UCase(Request.QueryString("btnConfig")) = "SAVE" Then
			Dim strOrigApp, strNewApp, strLoc
			Set oINIFile = CreateObject("chili.inifile")

			oINIFile.Open (oServer.Location & "/casp.cnfg")
			
			Set oSection = oINIFile.Sections("applications")
			
			strOrigApp = Trim(Request.QueryString("origapp"))
			strNewApp = Trim(Request.QueryString("app"))
			
			strLoc = Trim(Request.QueryString("location"))
			
			' error message if some field is blank
			if Len(strNewApp)=0 or Len(strLoc)=0 then
				Response.Redirect "error.asp?error=-1&desc=" & _
				Server.URLEncode("Both fields are required.")
			end if
			
			strLoc = """" & strLoc & """"
			if strOrigApp <> strNewApp Then

				strNewApp = "/" & strNewApp
				strNewApp = Replace(strNewApp, "//", "/")

				if (strNewApp<>strOrigApp) then
					' check for existense of the new app
					Dim oItem
					Set oItem=oSection.Items(strNewApp)
					iErr=Err.number
					Err.Clear
					if (iErr=0) then
						Response.Redirect "error.asp?error=-1&desc=" & _
							Server.URLEncode("Applicattion <b>" & strNewApp & "</b> already exists.")
					end if
				end if

				oSection.DeleteItem(strOrigApp)

				oSection.AddItem strNewApp, strLoc
			else
				oSection(strOrigApp).Value = strLoc
			end if
			oServer.RestartWebServer
			oINIFile.Sections("admin").Items("restart").value = "yes"
		end if
	end select 

	if Err.number<>0 then
		Response.Redirect "error.asp?error=3&desc=" & Server.URLEncode(Err.description) & "&num=" & Err.number
	end if

	on error goto 0
	
	if Request.Form("gotopage") <> "" then
		Response.Redirect Request.Form("gotopage")
	elseif Request.QueryString("gotopage") <> "" then
		Response.Redirect Request.QueryString("gotopage")
	else
		Response.Redirect Request.ServerVariables("HTTP_REFERER")
	end if
%>
