<% 
If CInt(Session("PasswordValidated")) = 0 then	'check to make sure user has logged
	response.redirect ("changes.asp")	'if not send to login page (changes.asp)
End if
%>

<html>
<head>
<title>401(k) Chart</title>
</head>

<body bgcolor="#829155" leftmargin="0" topmargin="0" link="#DC0000" vlink="#979797">
<link rel="stylesheet" href="401KCSS.CSS" type="text/css">

<!--declare variables-->

<%
Dim FundBalances(4)
Dim FundNames(4) 
FundIndex = -1
%>

<!--get data for chart: FundID, ShortFundName, FundPrice-->

<%
fHideNavBar = False
fHideNumber = False
fHideRequery = False
fHideRule = False
stQueryString = ""
fEmptyRecordset = False
fFirstPass = True
fNeedRecordset = False
fNoRecordset = False
tBarAlignment = "Left"
tHeaderName = "GetFundInfo"
tPageSize = 0
tPagingMove = ""
tRangeType = "Text"
tRecordsProcessed = 0

Set DBConn = Server.CreateObject("ADODB.Connection")
DBConn.ConnectionTimeout = Session("DBConn _ConnectionTimeout")
DBConn.CommandTimeout = Session("DBConn _CommandTimeout")
DBConn.Open Session("DBConn_ConnectionString"), Session("DBConn_RuntimeUserName"), Session("DBConn_RuntimePassword")
Set cmdTemp = Server.CreateObject("ADODB.Command")
Set GetFundInfo = Server.CreateObject("ADODB.Recordset")
cmdTemp.CommandText = "SELECT FUNDID, SHRTNAME FROM Fund"
cmdTemp.CommandType = 1
Set cmdTemp.ActiveConnection = DBConn
GetFundInfo.Open cmdTemp, , 0, 1

On Error Resume Next

If GetFundInfo.BOF And GetFundInfo.EOF Then fEmptyRecordset = True

On Error Goto 0

If Err Then fEmptyRecordset = True

If Not IsEmpty(Session("GetFundInfo_Filter")) And Not fEmptyRecordset Then
    GetFundInfo.Filter = Session("GetFundInfo _Filter")
    If GetFundInfo.BOF And GetFundInfo.EOF Then fEmptyRecordset = True
End If

If fEmptyRecordset Then
    fHideNavBar = True
    fHideRule = True
    Response.Write "<p align=left>No Records Available</p>"
End If

Do
    If fEmptyRecordset Then Exit Do
    If Not fFirstPass Then
        GetFundInfo.MoveNext
    Else
        fFirstPass = False
    End If
    If GetFundInfo.EOF Then Exit Do
%>

<%
Set DBConn = Server.CreateObject("ADODB.Connection")
DBConn.ConnectionTimeout = Session("DBConn_ConnectionTimeout")
DBConn.CommandTimeout = Session("DBConn_CommandTimeout")
DBConn.Open Session("DBConn_ConnectionString"), Session("DBConn_RuntimeUserName"), Session("DBConn_RuntimePassword")
Set cmdTemp = Server.CreateObject("ADODB.Command")

Set GetEmpInfo = Server.CreateObject("ADODB.Recordset")
cmdTemp.CommandText = "SELECT SHARES FROM Xactions WHERE (EMPID = " & Session("LoginEmpID") & ") AND (FUNDID = " & GetFundInfo("FundID") & ")"
cmdTemp.CommandType = 1
Set cmdTemp.ActiveConnection = DBConn
GetEmpInfo.Open cmdTemp, , 0, 1

Set GetPriceInfo = Server.CreateObject("ADODB.Recordset")
cmdTemp.CommandText = "SELECT FUNDPRCE, DATE FROM FundPrce WHERE (FUNDID = " & GetFundInfo("FUNDID") & ") AND (DATE = (SELECT MAX(DATE) FROM FundPrce))"
cmdTemp.CommandType = 1
Set cmdTemp.ActiveConnection = DBConn
GetPriceInfo.Open cmdTemp, , 0, 1

' sum all transactions for this employee and each fund to get total fund shares and multiply by 
' current price to get total fund balance

FundSum = 0		'Initialize to zero
' Lets add them up
While Not GetEmpInfo.EOF
	FundSum = FundSum + GetEmpInfo("SHARES")
	GetEmpInfo.MoveNext
Wend

tmpBalance = GetPriceInfo("FUNDPRCE") * FundSum
if (tmpBalance <> 0) then
	FundIndex = FundIndex + 1
	FundBalances(FundIndex) = GetPriceInfo("FUNDPRCE") * FundSum
	FundNames(FundIndex) = (GetFundInfo("SHRTNAME")) 
end if

Loop
%>

<script language="VBScript">

<!--
Sub window_onLoad()
'**********************************************************************************************
'Purpose:	Initialize the chart control with the fund names and balances for this employee
'Inputs:	none
'returns:	nothing
'**********************************************************************************************
 'initialize the number of columns to the number of funds for this employee	
chart1.Columns = <%=FundIndex %> + 1  
chart1.Rows = 1
chart1.ColumnIndex = 0
<% 
' Generate client script that will initialize controls with fund names and balances
' the best way to see the resulting client script is to preview the page and view source
for i = 0 to FundIndex
		Response.Write("chart1.ColumnIndex = " & i & chr(13) & chr(10))
		Response.Write("chart1.DataItem = " & FundBalances(i) & chr(13) & chr(10))
		Response.Write("chart1.ColumnName = " & chr(34) & FundNames(i) & chr(34) & chr(13) & chr(10))
next
%>

end sub

-->

</script>


<!--table for top nav bar-->
<table width="800" border="0" cellspacing="0" cellpadding="0">
    <tr>
        <td width="100%" bgcolor="#000000"> <a href="default.htm"><img src="images/401KNAV.GIF" border="0" hspace="0" vspace="0" WIDTH="120" HEIGHT="35"></a>
        <a href="whatis.htm"><img src="images/learnu.gif" border="0" hspace="0" vspace="0" WIDTH="100" HEIGHT="35"></a> <a href="signup.asp"><img src="images/signupu.gif" border="0" hspace="0" vspace="0" WIDTH="100" HEIGHT="35"></a> <img src="images/onlined.gif" border="0" hspace="0" vspace="0" WIDTH="100" HEIGHT="35"> <a href="question.htm"><img src="images/questu.gif" border="0" hspace="0" vspace="0" WIDTH="100" HEIGHT="35"></a> </td>
    </tr>
</table>

<!--table for left nav bar-->
<table border="0" width="600">
    <tr>
        <td border="0" width="120" height="600" valign="top" bgcolor="#000000" align="center"> <img src="images/reports.jpg" WIDTH="116" HEIGHT="92"> <br>
        <br>
		<a href="holdings.asp">Holdings Report</a> <br>
        <font color="white"><b>-</b></font> <br>
        <font color="white">Chart <br></font>
        <font color="white"><b>-</b></font> <br>
		<a href="trans.asp">Transactions Report</a> <br>
        <font color="white"><b>-</b></font> <br>
        <a href="changesr.asp">Change Elections</a> <br>
		</td>
		<td width="40"></td>
        <td width="440" valign="top"> 

<!--begin table for chart report-->
			<table width="600" border="0" cellpadding="0" cellspacing="1">
				<tr>
					<td colspan="2" align="center"><h3>Fitch &amp; Mather 401(k)</h3></b></td>
				</tr>
				<tr>
					<td colspan="2"><hr></td>
				</tr>
				<tr> 
					<td width="420" align="left"><b>Holdings by Fund as of <% Response.Write(Session("Date") ) %></font></b>
					<td width="200" align="right"><b><%= Session ("EmpName") %></font></b></td>
				</tr>
				<tr>
					<td colspan="2"><hr></td>
				</tr>
				<tr>
					<td colspan="6" align="center">

						<!--ie chart object-->
						<object id="chart1" width="400" height="200" type="application/x-oleobject" classid="CLSID:FC25B780-75BE-11CF-8B01-444553540000" codebase="iechart.ocx#Version=4,70,0,1161"> 
						<param name="Rows" value="1"> 
						<param name="Columns" value="1"> 
						<param name="ChartType" value="0">  
						<param name="hgridStyle" value="3"> 
						<param name="vgridStyle" value="0"> 
						<param name="data[0][0]" value="5"> 
						<param name="colorscheme" value="1"> 
						<param name="DisplayLegend" value="1"> 
						<param name="BackStyle" value="1"> 
						<param name="BackColor" value="#bfbfbf"> 
						<param name="ForeColor" value="#0000ff"> 
						<param name="Scale" value="100"> Sorry, this chart is not viewable in Netscape.
						</object> </p>
						<!--end ie chart object-->
						    
					</td>
					</tr>
					<tr>
					    <td colspan="2"><hr>
								</td>
				</tr>
			</table>
<br>
<br>

<!--footer table-->
<table cellpadding="0" cellspacing="1" width="440">
   <tr>
   <td align="center">
   <!--function to enable viewing of asp code in browser-->
	<!--#include virtual="/caspsamp/srcform.inc"-->
	</td>
	</tr>

	<br>
	<br>
	<p>
	<tr>

	<td align="CENTER"> <font size="-1">
	<p>
	<a target="main" href="http://www.microsoft.com/misc/cpyright.htm">
	<b> <h6>
	Copyright  1999<br> Microsoft Corp.<br> and/or its suppliers.</h6></a></b>
	</td>
	</tr>

</table>
<!--end of footer table-->
</td>
</tr>
</table>
</center>
</body>
</html>
