<%@ LANGUAGE="VBSCRIPT" %>
<%Response.Expires = 0%>

<% 'make sure user is logged in %>
<!--#INCLUDE FILE="../includes/sesschek.asp"-->

<%
'force default to Step 1
if IsEmpty(Request("step")) then 
	step = 1 
else
	step = Request("step")
end if
'check for empty values and prevent user from going to next step
if Len(trim(Request("make"))) = 0 and step > 0 then
	step = 1
elseif Len(trim(Request("model"))) = 0 and step > 1 then
	step = 2
elseif Len(trim(Request("submodel"))) = 0 and step > 2 then
	step = 3
elseif Len(trim(Request("year"))) < 4 and step > 3 then
	step = 4
elseif Len(trim(Request("vin"))) < 5 and step > 4 then
	step = 5
end if
%>

<html>
<!--Add Automobile to policy page (dynamic .asp file steps you through the add auto process).-->
<head>
<% 'set frame name so it doesn't get lost after redirect %>
<script language="JavaScript">
<!--
	window.name = "main"
//-->
</script>
<title>Friendship Insurance - Dynamic Customer Base Page</title>
</head>

<body bgcolor="#FFFFFF" topmargin="10" leftmargin="15">

<table border="0" cellpadding="0" cellspacing="0" width="85%">
<tr>
    <td align="left" colspan="2"> 
		<font size="4" face="Arial">Add Automobile to Policy #<%=Session("ap_id")%></font>
	</td>
</tr>
<tr>
    <td valign="top" colspan="2">
		<blockquote>
        <p>Friendship Online! makes it easy to add another
        automobile to your existing Friendship policy. First,
        we'll step you through a series of questions to
        answer and forms to complete, then we'll calculate
        and display an estimated new rate.</p>
        <p>To complete this part of the process, choose or
        enter the appropriate information when prompted, and then
        click the Next button. When you have finished, click
        the Submit button.</p>
		</blockquote>
    </td>
</tr>
</table>
<% 'use this hidden form for the Back button %>
<% if step > 1 then %> 
	<form name="goback" action="pol_view3.asp" method="post">
		<input type="hidden" name="step" value="<%=step-1%>"> 
		<input type="hidden" name="make" value="<%=Request("make")%>"> 
		<input type="hidden" name="model" value="<%=Request("model")%>"> 
		<input type="hidden" name="submodel" value="<%=Request("submodel")%>"> 
		<input type="hidden" name="year" value="<%=Request("year")%>">
	</form>
<% end if %>
<% if step > 4 then %>
	<% 'last step - send to next ASP file %>
	<form name="newcar" action="pol_view4.asp" method="post">
		<input type="hidden" name="newcar" value="<%=True%>"> 
		<input type="hidden" name="review" value="<%=True%>"> 
<% else %>
	<% 'increment and go to next step %>
	<form name="newcar" action="pol_view3.asp" method="post">
		<input type="hidden" name="step" value="<%=step+1%>"> 
<% end if %>
<% 'note form is constructed dynamically by including other files appropos to current step %>
<blockquote>
<table>
<tr>
	<td valign="top" width="240">
		<b>What is the make of your car?</b>
	</td>
    <td valign="TOP" width="160"> 
	<% if step = 1 then %> 
		<!--#INCLUDE FILE="../includes/sel_make.asp"--> 
	<% else %> 
		<input type="hidden" name="make" value="<%=Request("make")%>"> 
		<%=Request("make")%> 
	<% end if %> 
	</td>
    <td valign="top" width="220" rowspan="<%=step%>"> 
	<font size="-1" face="ARIAL"> 
	<%if step > 4 then%> 
		<b>To receive an online quote based on the automobile specifics you've entered, type the VIN number and click Submit.</b> 
	<%elseif step > 3 then %> 
		<b>Type the full model year of the car and choose Next.</b> 
	<%else%> 
		<b>Make your selection from the dropdown list and choose
		Next. To correct a previous selection, choose Back.</b>
    <%end if%> 
	</font> 
	</td>
</tr>
<% if step > 1 then %>
<tr>
    <td valign="TOP">
		<b>What is the model of your car?</b>
	</td>
    <td valign="TOP"> 
	<% if step = 2 then %> 
		<!--#INCLUDE FILE="../includes/sel_model.asp"--> 
	<% else %> 
		<input type="hidden" name="model" value="<%=Request("model")%>"> 
		<%=Request("model")%> 
	<% end if %>
	</td>
</tr>
<% end if %>
<% if step > 2 then %>
<tr>
    <td valign="TOP">
		<b>What is the submodel of your car?</b>
	</td>
    <td valign="TOP"> 
	<% if step = 3 then %> 
		<!--#INCLUDE FILE="../includes/sel_submodel.asp"-->
	<% else %>
		<input type="hidden" name="submodel" value="<%=Request("submodel")%>"> 
		<%=Request("submodel")%> 
	<% end if %> 
	</td>
</tr>
<% end if %>
<% if step > 3 then %>
<tr>
    <td valign="TOP">
		<b>What is the year of your car?</b>
	</td>
    <td valign="TOP"> 
	<% if step = 4 then %> 
		<input type="text" name="year" value="<%=Year(Now)%>" size="4" maxlength="4"> 
	<% else %> 
		<input type="hidden" name="year" value="<%=Request("year")%>"> 
		<%=Request("year")%> 
	<% end if %> 
	</td>
</tr>
<% end if %>
<% if step > 4 then %>
<tr>
    <td valign="TOP" width="220"> 
		<b>Type in the last five digits of the VIN number:</b> 
	</td>
    <td valign="TOP"> 
		<!--#INCLUDE FILE="../includes/sel_vin.asp"-->
	</td>
</tr>
<% end if %>
<tr>
    <td colspan="2" align="RIGHT">
		<br><br> 
	<%if step > 1 then%> 
		<input type="button" value="&lt; Back" onClick="goback.submit()">&#160;
	<%end if%>
	<%if step > 4 then%> 
		<script language="JavaScript">
		<!--
		//handle final form entry
		function vin_check(f) { 
			if (f.vin.value.length < 5)
				alert("Please enter 5 characters")
			else
				f.submit()
		}
		//-->
		</script> 
		<input type="button" value="Submit" onClick="vin_check(this.form)">&#160;
	<%else%> 
		<input type="submit" value="Next &gt;">&#160;
	<%end if%>
		<input type="button" value="Cancel" onClick="window.location.href='pol_view2.asp'"><br><br>
    </td>
    <td align="RIGHT"> 
		<font size="1" face="Arial">Step <%=step%> of 5</font>
	</td>
</tr>
</table>
</blockquote>
</form>

<p>
<br><br>
<font face="ARIAL" size="1">&#169; 1996 Friendship Insurance</font> 
</p>
</body>
</html>
