<%@ LANGUAGE="VBSCRIPT" %>
<%Response.Expires = 0%>

<% 'make sure user is logged in %>
<!--#INCLUDE FILE="../includes/sesschek.asp"-->

<% 'include utility functions %>
<!--#INCLUDE FILE="../includes/util.asp"-->

<%
gbChange = False
gbNewCar = False
gbReview = False
'set global change flag if requested
if not IsEmpty(Request("change")) then
	gbChange = True
end if
'set global newcar flag if requested
if not IsEmpty(Request("newcar")) then
	gbNewCar = True
end if
'set global review flag if requested
if not IsEmpty(Request("review")) then
	gbReview = True
end if
%>


<%
Session("whichcar") = 2
'dictionary filled only first time through
if gbNewCar then
	Set dCurrReq = Session("CurrReq") 'open dictionary
	dCurrReq.RemoveAll 'empty dictionary
	dCurrReq("req_agt_id") = CLng(Session("cust_agt_id"))
	dCurrReq("req_cst_id") = CLng(Session("cust_id"))
	dCurrReq("req_cov1") = 10000
	dCurrReq("req_cov2") = 100000
	dCurrReq("req_cov3") = 100000
	dCurrReq("req_cov4") = 100000
	dCurrReq("req_ded1") = 100
	dCurrReq("req_date") = Now
	dCurrReq("req_demo") = False
	dCurrReq("req_pnding") = True
	dCurrReq("req_pol_id") = CLng(Session("ap_id"))
	dCurrReq("req_prem1") = 200
	dCurrReq("req_prem2") = 200
	dCurrReq("req_prem3") = 200
	dCurrReq("req_prem4") = 200
	dCurrReq("req_type") = 1
	dCurrReq("req_veh_id") = CLng(Request("veh_id"))
	dCurrReq("req_veh_vn") = CStr(Request("veh_vinpfx") & Request("vin"))
	dCurrReq("req_veh_yr") = CLng(Request("year"))
	dCurrReq("veh_make") = CStr(Request("make"))
	dCurrReq("veh_model") = CStr(Request("model"))
	dCurrReq("veh_submod") = CStr(Request("submodel"))
	Set dCurrReq = Nothing 'close dictionary
	'record original values in session variables for use in change_coverage.asp
	Session("orig_cov1") = 10000
	Session("orig_cov2") = 100000
	Session("orig_cov3") = 100000
	Session("orig_cov4") = 100000
	Session("orig_ded1") = 100
	Session("orig_prem1") = 200
	Session("orig_prem2") = 200
	Session("orig_prem3") = 200
	Session("orig_prem4") = 200
end if
%>

<html>
<!--Amended Policy Estimate Page (includes buttons to change coverage and to submit the changes to an agent).-->
<head>
<% 'set frame name so it doesn't get lost after redirect %>
<script language="JavaScript">
<!--
	window.name = "main"
//-->
</script>
<title>Friendship Insurance - Estimate for Amended Policy</title>
</head>

<body bgcolor="#FFFFFF" topmargin="10" leftmargin="15">

<table border="0" cellpadding="0" cellspacing="0" width="97%">
    <tr>
        <td valign="top" align="left" width="80%"> 
			<font size="4" face="Arial">Estimate for Amended Policy #<%=Session("ap_id")%></font> <p> </p>
		<% if not gbChange and gbReview then %>
			<blockquote>
			<p><b><%=Session("cust_fname")%>, we have generated a rate quote for your second automobile, based on your existing coverage options.</b></p>

			<p> This is only a quote to provide you with
			the most competitive rates and to verify your coverage
			options. Your insurance agent will contact you with the
			finalized rate.</p>
			<p> Please review the following coverage details. To
			change details, click Change Coverage. Otherwise,
			click Send. </p>
			</blockquote>
		<% end if %>
        </td>
        <td valign="top" align="right" width="30%">
        <% if not gbChange then %>
			<form action="pol_view4.asp" method="post">
				<input type="hidden" name="change" value="<%=True%>">
				<input type="submit" value="Change Coverage - Auto 2">
			</form>
			<% if gbReview then %>
				<form action="add_request.asp" method="post">
					<input type="submit" value="Send"><br><br>
					<input type="button" value="Cancel" onClick="window.location.href='pol_view2.asp'"><br><br>
					<input type="checkbox" name="agent">
					<font size="-1">Have agent call<br> me for review</font><br>
				</form>
			<% end if %>
		<% end if %>
        </td>
    </tr>
</table>

<% 'show change request forms if appropriate, otherwise show coverage listings %>
<% if gbChange or gbReview then %>
	<!--#INCLUDE FILE="../includes/change_form.asp"--> 
<% else %>
	<!--#INCLUDE FILE="../includes/show_coverage.asp"--> 
<% end if %>

<p><br><br>
<font face="ARIAL" size="1">&#169; 1996 Friendship Insurance</font>
</p>
</body>
</html>
