VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "AmSch"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Dim P, I, L As Long
Dim CF, TF As String
Dim rs As Response

Public Property Let InitialAmount(ByVal vNewValue As Variant)
    P = vNewValue
End Property

Public Property Let InterestRate(ByVal vNewValue As Variant)
    I = vNewValue
End Property

Public Property Let LengthInYears(ByVal vNewValue As Variant)
    L = vNewValue
End Property

Public Sub Calculate()

' This function calculates the monthly payments given the above propeties,
' then it creates a table showing each payment. Note: Error checking
' has been omitted for simplicity

    Dim J, Q, C, H, M, N As Long
    Dim Count As Integer
    
    J = I / (12 * 100)
    N = L * 12
    Count = 0
    
    ' Calculate the monthly payment
    M = P * (J / (1 - (1 + J) ^ (-N)))
    
    'start table
    rs.Write "<table " & TF & "><tr><td " & CF & ">Payment</td><td " & CF & ">Principal</td><td " & CF & ">Interest</td><td " & CF & ">Balance</td></tr>"
    
    Do
        ' Loop until the balance is zero
        Count = Count + 1
        H = P * J
        C = M - H
        Q = P - C
        P = Q
        rs.Write "<tr><td " & CF & ">" & Count & "</td><td " & CF & ">" & CInt(C) & ".00</td><td " & CF & ">" & CInt(H) & ".00</td><td " & CF & ">" & CCur(Q) & "</td></tr>"
    Loop Until Q <= 0
    
    'finish table
    rs.Write "</table>"
    
End Sub

Public Function OnStartPage(myScriptingContext As ScriptingContext)

' This function is called by Chili!ASP when CreateObject is called.
' It passes another object called ScriptingContext. Using this object
' you have access to the Chili!ASP object model:
'   Server
'   Response
'   Request
'   Application
'   Session
' For this object, we only use the Response object

  'Create a copy of the Response object
  Set rs = myScriptingContext.Response
  
End Function

Public Function OnEndPage()

' This function is also called by Chili!ASP when a page that creates
' this object is finished being processed. Use this function to clean
' up your object and finish processing.

' Since we made a global copy of this object, we must release it
Set rs = Nothing

End Function

Public Property Let CellFormat(ByVal vNewValue As Variant)

' This value is used to format the individual cells of the output table

    CF = vNewValue
End Property

Public Property Let TableFormat(ByVal vNewValue As Variant)

' This value is used to format the output table

    TF = vNewValue
End Property
