<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
	<title>Untitled</title>
</head>

<body bgcolor="#FFFFFF">

<center>
<table border=1 cellpadding=3>
	<tr align=center>
		<td><strong>ASP Object</strong></td>
		<td><strong>Description</strong></td>
	</tr>
	<tr valign=top>
		<td>
		<i>Application Object</i>
<PRE>&lt;%
Application.Lock
   Application("SomeObject").Property = NewValue
   Application("SomeVariable")= NewValue
Application.Unlock
%&gt;</PRE></td>
		<td>
<P>
The Application object allows you to globally share information among anyone using an ASP application, which is defined as a collection of .asp files within a virtual directory. Because Application information is shared by many users, changes to Application values must be handled carefully. The Lock and Unlock methods ensure only one user at a time can change a value.
		</td>
	</tr>
	<tr valign=top>
		<td>
		<i>Request Object</i>
<PRE>
Request.ServerVariables("SERVER_NAME") = 
     <%= Request.ServerVariables("SERVER_NAME")%>
Request.ServerVariables("SERVER_SOFTWARE") = 
     <%= Request.ServerVariables("SERVER_SOFTWARE")%>
Request.ServerVariables("ASP_OS") = 
     <%= Request.ServerVariables("ASP_OS")%>

Request.Cookies = <%= Request.Cookies%>
Request.Form("Hidden") = <%= Request.Form("Hidden")%></PRE></td>
		<td>
<P>
The Request object is the primary method for obtaining information from the user. In addition to providing information contained in standard server variables, the Request object provides information contained in a browser request such as form variables, URL query strings, and HTTP cookies.
</td>	
	</tr>
	<tr valign=top>
		<td>
		<i>Response Object</i>
<PRE>
Response.Buffer = <%= Response.Buffer %>
Response.write "&lt;b&gt;Hello!&lt;/b&gt;" = <% Response.write "<b>Hello!</b>"%>
</PRE></td>
		<td>
<P>
The Response object is used to control different attributes of ASP's response to the user. Response.Write and Response.Redirect are the most commonly used methods of the Response object. The other properties and methods are useful in special circumstances.
		</td>	
	</tr>
	<tr valign=top>
		<td>
<i>Server Object</i>
<PRE>
Set TestRS = Server.CreateObject("ADO.RecordSet")

Server.HTMLEncode("If Val1 &lt;&gt; Val2 Then") =
     <%= Server.HTMLEncode("If Val1 &lt;&gt; Val2 Then") %>
Server.MapPath("/caspsamp") = 
     <%= Server.MapPath("/caspsamp") %>
Server.URLEncode("Testing 1-2-3") = 
     <%= Server.URLEncode("Testing 1-2-3") %>
</PRE></td>
		<td>
<P>
The Server object provides a number of utility methods, plus the powerful CreateObject method. The CreateObject method is used to access objects other than the 5 Intrinsics, such as ActiveX Data Objects, the BrowseCap component, or custom objects.
		</td>	
	</tr>
	<tr valign=top>
		<td>
<i>Session Object</i>
<PRE>
Set Session("ObjName") = Server.CreateObject("Obj.ID")

Session("UserName") = <%= Session("UserName") %>
</PRE></td>
		<td>
<P>
The Session object is similar to the Application object, except the Session object maintains information specific to an individual user, instead of a group of users. Step 2 showed the Session object could maintain a user's name in a Session variable. The Session object can also store entire objects with user-specific information.
		</td>	
	</tr>	
</table>
</center>

</body>
</html>
