if [ "x$LC_ALL" = "x" ] || [ "x$LANG" = "x" ] || [ "x$LANGUAGE" = "x" ]; then
    if [ -f /etc/profile.d/lang.sh ]; then
        . /etc/profile.d/lang.sh
    else
        if [ "x$LC_ALL" = "x" ]; then 
            LC_ALL="en_US"
        fi

        LANG="$LC_ALL"
	LANGUAGE="$LC_ALL"
    fi
fi

if [ "$LD_LIBRARY_PATH" = "" ]; then
    LD_LIBRARY_PATH=<<internaldb::opensource_dir>>/lib:<<internaldb::direct_dir>>/lib:<<internaldb::sqlnk_dir>>/lib
else
    LD_LIBRARY_PATH=<<internaldb::opensource_dir>>/lib:<<internaldb::direct_dir>>/lib:<<internaldb::sqlnk_dir>>/lib:$LD_LIBRARY_PATH
fi
if [ "$LIBPATH" = "" ]; then
    LIBPATH=<<internaldb::opensource_dir>>/lib:<<internaldb::direct_dir>>/lib:<<internaldb::sqlnk_dir>>/lib
else
    LIBPATH=<<internaldb::opensource_dir>>/lib:<<internaldb::direct_dir>>/lib:<<internaldb::sqlnk_dir>>/lib:$LIBPATH
fi
export LD_LIBRARY_PATH LIBPATH
export SQLNK_HOME=<<internaldb::sqlnk_dir>>/ini

# add MySQL client lib path to LD_LIBRARY_PATH
# this should be changed if MySQL had been installed in
# a different location
#
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/local/lib/mysql

# extras
