<%@ LANGUAGE="VBSCRIPT" %>

<!--    SIGNUP.ASP 	The script in this file displays a form (SignUpForm) with	three text boxes and a submit button.  In the SSN text box,	the user can enter the SSN of an employee who is in the 	EmployeeInfo table but who has not signed up as a 401k 	participant.  The other two text boxes allow the user to 	enter and confirm a new password for the specified employee.	Because this is a sample, a list of valid employee 	names and SSN values is displayed below the form.	If, after running the sample several times, the user has	entered all available employees in the 401K program, you can	reset the following values to remove the employees from the	401K program and make them available again for a new sign up:		EmployeeInfo.Participant = N		EmployeeInfo.ContPercent = 0	You also need to delete the employee's record in the Password	table.-->




<!--	VALIDATING THE USER:		The SignUpForm form in this file submits the employee SSN 	value to VALSIGN.ASP.  Script in VALSIGN.ASP checks to 	see if the submitted SSN value matches a value in the 	SSNum field in the EmployeeInfo table.	If not, the following script sets the Session("LoginFailed")	property to True and returns the user to the signon page:		If (CheckEmp.BOF And CheckEmp.EOF) Then			Session("LoginFailed") = True			Response.Redirect("signup.asp")		End If	When the user is redirected to the signon page after a 	failed login attempt, the following script displays a 	message so that the user knows what happened.-->

<!--formatting for data-->
<!--#INCLUDE FILE="function.asp"-->

<% 

'call DBG_Se_OnStart()

If CInt(Session("LoginFailed")) = 1 Then%>
	<script language="JavaScript">
	<!--
	onload=alert("Social Security Number not found in employee database. Please re-enter");
    -->
	</script>
<%End If%>


<html>
<head>
<title>401(k) Signup</title>
<link REL="stylesheet" HREF="401KCSS.CSS" TYPE="text/css">
</head>

<body BGCOLOR="#829155" LEFTMARGIN="0" TOPMARGIN="0" LINK="#DC00000" VLINK="#979797">


<script LANGUAGE="JAVASCRIPT">
<!--
function ValidateInput() {

//----------------------------------------------------
// The ValidateInput function is called when the user 
// clicks the Submit button. Before the values are 
// actually submitted, this function makes sure that:
//
//	1. The user entered a value in the SSN text box.
//	2. The SSN value is either 9 characters long
//			(in case the user entered numbers only)
//			or 11 characters long (in case the user
//			entered dashes between number groups)
//	3. The user has entered values in the PIN and
//			Confirm PIN text boxes.
//	4. The PIN and Confirm PIN values match exactly.
//			
//	If any of these cases is not True, an appropriate
//  message is displayed so the user can re-enter the
//  information.
//----------------------------------------------------

	var localSSN = document.SignUpForm.SSN.value

	if (localSSN.length == 0) {
		alert("Please enter your social security number.")
		return
	}

	if (localSSN.length != 9 && localSSN.length != 11) {
		alert("Please enter a valid social security number.")
		return
	}

	if (localSSN.length == 11 &&
		(localSSN.substring(3,4) != "-" || localSSN.substring(6,7) != "-")) {
		alert("Please enter a valid social security number.")
		return
	}

	if (document.SignUpForm.PIN.value.length == 0) {
		alert("Please enter your PIN.")
		return
	}

	if (document.SignUpForm.PinConfirm.value.length == 0) {
		alert("Please confirm your PIN.")
		return
	}

	if (document.SignUpForm.PIN.value != document.SignUpForm.PinConfirm.value) {
		alert("PIN confirmation does not match PIN.")
		return
	}

	document.SignUpForm.submit()
	
}
-->
</script>

<!--	NAVIGATION BUTTONS: The following table contains the 	navigation buttons that are displayed at the top of 	the page.-->
<table WIDTH="800" BORDER="0" CELLSPACING="0" CELLPADDING="0">
    <tr>
        <td WIDTH="100%" BGCOLOR="#000000"> <a HREF="default.htm"><img SRC="images/401KNAV.GIF" BORDER="0" HSPACE="0" VSPACE="0" WIDTH="120" HEIGHT="35"></a>
        <a HREF="whatis.htm"><img src="images/learnu.gif" BORDER="0" hspace="0" VSPACE="0" WIDTH="100" HEIGHT="35"></a> <img src="images/signupd.gif" BORDER="0" hspace="0" VSPACE="0" WIDTH="100" HEIGHT="35"> <a HREF="holdings.asp"><img SRC="images/onlineu.gif" BORDER="0" HSPACE="0" VSPACE="0" WIDTH="100" HEIGHT="35"></a>  <a HREF="question.htm"><img SRC="images/questu.gif" BORDER="0" HSPACE="0" VSPACE="0" WIDTH="100" HEIGHT="35"></a> </td>
    </tr>
</table>

<!--	FORM: The following table contains the text boxes and 	buttons of the SignupForm form.-->

<table BORDER="0" WIDTH="600">
    <tr>
        <td BORDER="0" WIDTH="120" HEIGHT="600" VALIGN="top" BGCOLOR="#000000" ALIGN="CENTER"> <img SRC="images/signup.jpg" WIDTH="116" HEIGHT="92"> <br>
        </td>
        <td WIDTH="490" VALIGN="TOP"> <table WIDTH="490">
            <tr>
                <td WIDTH="70">&nbsp;</td>
                <td COLSPAN="2" WIDTH="275" VALIGN="TOP" ALIGN="LEFT"> <br>
                <h3>SIGN UP</h3>
                <table BORDER="0" WIDTH="250">
                    <tr>
					<!--begin form-->
                     <form METHOD="POST" NAME="SignUpForm" ACTION="valsign.asp">
                       
		<td ALIGN="RIGHT" NOWRAP><font size=2>Social Security Number:</td>
                        <td ALIGN="RIGHT" NOWRAP>
						<input TYPE="TEXT" MAXLENGTH="11" SIZE="11" NAME="SSN"></td>
                    </tr>
                    <tr>
                        <td ALIGN="RIGHT" NOWRAP><font size=2>PIN:</td>
                        <td ALIGN="RIGHT" NOWRAP>
						<input TYPE="PASSWORD" MAXLENGTH="11" SIZE="11" NAME="PIN"></td>
                    </tr>
                    <tr>
                        <td ALIGN="RIGHT" NOWRAP><font size=2>Confirm PIN:</td>
                        <td ALIGN="RIGHT"><input TYPE="PASSWORD" MAXLENGTH="11" SIZE="11" NAME="PinConfirm"></td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                        <td ALIGN="RIGHT"><input TYPE="BUTTON" NAME="CONTINUE" VALUE="   Submit   " OnClick="ValidateInput()">

						</td>
					</form>
                    </tr>
                </table>
                </td>
                <td WIDTH="100">&nbsp;</td>
                <td WIDTH="70">&nbsp;</td>
            </tr>
        </table>
		<p>
		<br>


<!--	DISPLAYING EMPLOYEE INFORMATION:    The following table displays the names of employees and	valid SSN values to be entered in the SSN text box.  The	script to loop through the EmployeeInfo table was created	by the Data Range Header Control and Data Range Footer	Controls.-->

<center>
		
	<table BORDER="1" WIDTH="400">
		<tr>
			<th ALIGN="CENTER" COLSPAN="2"><font SIZE="2">Use these fictitious employees ss#'s<br> and create your own PIN to sign up.</font></th>
		</tr>
		<tr>
			<td WIDTH="50%" ALIGN="CENTER"><font SIZE="2"><b>Name</font></td>
			<td width="50%" align="center"><font size="2"><b>SS#</font></td>
		</tr>

<%
fHideNavBar = False
fHideNumber = False
fHideRequery = False
fHideRule = False
stQueryString = ""
fEmptyRecordset = False
fFirstPass = True
fNeedRecordset = False
fNoRecordset = False
tBarAlignment = "Left"
tHeaderName = "GetEmpData"
tPageSize = 0
tPagingMove = ""
tRangeType = "Text"
tRecordsProcessed = 0

If IsEmpty(Session("GetEmpData_Recordset")) Then
    fNeedRecordset = True
Else
    If Session("GetEmpData_Recordset") Is Nothing Then
        fNeedRecordset = True
    Else
        Set GetEmpData = Session("GetEmpData_Recordset")
    End If
End If

If fNeedRecordset Then
    Set DBConn = Server.CreateObject("ADODB.Connection")
    DBConn.ConnectionTimeout = Session("DBConn_ConnectionTimeout")
    DBConn.CommandTimeout = Session("DBConn_CommandTimeout")
    DBConn.Open Session("DBConn_ConnectionString"), Session("DBConn_RuntimeUserName"), Session("DBConn_RuntimePassword")
    Set cmdTemp = Server.CreateObject("ADODB.Command")
    Set GetEmpData = Server.CreateObject("ADODB.Recordset")
    cmdTemp.CommandText = "SELECT FRSTNAME, LASTNAME, SSNUM, PARTPANT FROM EmpInfo WHERE (PARTPANT = 'N')"
    cmdTemp.CommandType = 1
    Set cmdTemp.ActiveConnection = DBConn
    GetEmpData.Open cmdTemp, , 0, 1
End If
On Error Resume Next
If GetEmpData.BOF And GetEmpData.EOF Then fEmptyRecordset = True
On Error Goto 0
If Err Then fEmptyRecordset = True

If Not IsEmpty(Session("GetEmpData_Filter")) And Not fEmptyRecordset Then
    GetEmpData.Filter = Session("GetEmpData_Filter")
    If GetEmpData.BOF And GetEmpData.EOF Then fEmptyRecordset = True
End If

If fEmptyRecordset Then
    fHideNavBar = True
    fHideRule = True
End If

Do
    If fEmptyRecordset Then Exit Do
    If Not fFirstPass Then
        GetEmpData.MoveNext
    Else
        fFirstPass = False
    End If
    If GetEmpData.EOF Then Exit Do
%>


<%
	SSNum = Mid(GetEmpData("SSNUM"),1,3) & "-" & Mid(GetEmpData("SSNUM"),4,2) & "-" & Mid(GetEmpData("SSNUM"),6,4)
%>

		<tr>
			<td WIDTH="50%"><font SIZE="2"><%= GetEmpData("FRSTNAME")%>&nbsp;<%= GetEmpData("LASTNAME")%></font></td>
			<td WIDTH="50%"><font SIZE="2">&nbsp;<%= SSNum %></font></td>
		</tr>


<%
Loop
If tRangeType = "Table" Then Response.Write "</TABLE>"
If tPageSize > 0 Then
    If Not fHideRule Then Response.Write "<HR>"
    If Not fHideNavBar Then
        %>
        <table WIDTH="100%">
        <tr>
            <td WIDTH="100%">
                <p ALIGN="<%= tBarAlignment %>">
                <form ACTION="<%= Request.ServerVariables("PATH_INFO") & stQueryString %>" METHOD="POST">
                    <input TYPE="Submit" NAME="<%= tHeaderName & "_PagingMove" %>" VALUE="   &lt;&lt;   ">
                    <input TYPE="Submit" NAME="<%= tHeaderName & "_PagingMove" %>" VALUE="   &lt;    ">
                    <input TYPE="Submit" NAME="<%= tHeaderName & "_PagingMove" %>" VALUE="    &gt;   ">
                    <input TYPE="Submit" NAME="<%= tHeaderName & "_PagingMove" %>" VALUE="   &gt;&gt;   ">
                    <% If Not fHideRequery Then %>
                        <input TYPE="Submit" NAME="<% =tHeaderName & "_PagingMove" %>" VALUE=" Requery ">
                    <% End If %>
                </form>
                </p>
            </td>
            <td VALIGN="MIDDLE" ALIGN="RIGHT">
                <font SIZE="2">
                <%
                If Not fHideNumber Then
                    If tPageSize > 1 Then
                        Response.Write "<NOBR>Page: " & Session(tHeaderName & "_AbsolutePage") & "</NOBR>"
                    Else
                        Response.Write "<NOBR>Record: " & Session(tHeaderName & "_AbsolutePage") & "</NOBR>"
                    End If
                End If
                %>
                </font>
            </td>
        </tr>
        </table>
    <%
    End If
    fHideNavBar = False
    fHideNumber = False
    fHideRule = False
    stQueryString = ""
End If
%>
</table>

<br>
<br>
<center>

<!--	DISPLAYING SOURCE SCRIPT:    The following link presents the graphic that a user can choose	to display the server-side source for an .ASP file. The server	script is processed on the web server, so it is different from	the HTML text and script that is sent to the user's browser.  -->

	<!--#include virtual="/caspsamp/srcform.inc"-->
				<br>
	
			<a HREF="http://www.microsoft.com/misc/cpyright.htm">
				<h6>
				Copyright  1999<br> Microsoft Corp.<br> and/or its suppliers</a>
				</center>
				</h6>

        </td>
    </tr>
</table>

<!--	ENSURING THAT INPUT IS VALIDATED:    The following form (HiddenForm) is not part of the 	functionality of SIGNUP.ASP. It is included only so	that there is more than one form on the page.		The user-entered values are validated in the	ValidateInput function, which is called only when the	user clicks the Submit button.  A second form prevents the	first form from being submitted when the user presses	Enter in a text box.-->

<form NAME="HiddenForm">
    <input TYPE="HIDDEN" NAME="HiddenInput" VALUE>
</form>

</head>

</body>
</html>
