<%
'set flags indicating state of coverage change requests
'gb* flags are set in check_vehicle.asp
dim aryCovFlags(3)
aryCovFlags(1) = gbCurrVeh
aryCovFlags(2) = gbCurrVehChg
aryCovFlags(3) = gbNewVeh
'set labels
dim aryVehLabels(3)
aryVehLabels(1) = "Auto 1"
aryVehLabels(2) = "Auto 1 (Pending)"
aryVehLabels(3) = "Auto 2 (Pending)"
dim aryCovLabels(3)
aryCovLabels(1) = "Coverage - Auto 1"
aryCovLabels(2) = "Coverage - Auto 1 (Pending)"
aryCovLabels(3) = "Coverage - Auto 2 (Pending)"
%>
<table width="100%">
<%
'loop through 3 different items to display (may not all exist):
'	a. existing auto
'	b. changes to existing auto
'	c. additional auto
'for each item create a reference to appropriate recordset and set field name prefix
for i=1 to 3
	if aryCovFlags(i) then
		select case i
		case 1
			Set rsCurrPol = grsCurrAutopol
			Set rsCurrVeh = grsCurrVeh
			strPfx = "AP_"
			VinFld = "VEH_VIN"
		case 2
			Set rsCurrPol = grsCurrReqChg
			Set rsCurrVeh = grsCurrVehChg
			strPfx = "REQ_"
			VinFld = "VEH_VN"
		case 3
			Set rsCurrPol = grsNewReq
			Set rsCurrVeh = grsNewVeh
			strPfx = "REQ_"
			VinFld = "VEH_VN"
		end select
		'compute total premium
		tot_prem = rsCurrPol(strPfx & "PREM1") + rsCurrPol(strPfx & "PREM2") + rsCurrPol(strPfx & "PREM3") + rsCurrPol(strPfx & "PREM4")
%>
<tr>
    <td valign="top" width="25%"> 
		<TABLE width=100% BORDER=2 cellspacing=1 cellpadding=2>
			<TR>
				<TD valign="top"><font face="Arial"><b><%=aryVehLabels(i)%></b></font></TD>
			</TR>
			<TR>
				<TD valign="top">
					<font face="Arial" size=2><b><%=rsCurrPol(strPfx & "VEH_YR")%>&#160;<%=rsCurrVeh("VEH_MAKE")%>
					&#160;<%=rsCurrVeh("VEH_MODEL")%>&#160;<%=rsCurrVeh("VEH_SUBMOD")%></b></font>
				</TD>

			<TR>
				<TD valign="top">
					<font face="Arial" size=2><b><%=rsCurrPol(strPfx & VinFld)%></b></font>
				</TD>
			</TR>
		</TABLE>
	</td>
    <td valign="top"> 
		<table width="97%" border="2" cellspacing="1" cellpadding="2">
		<tr>
			<td valign="top"> <font face="Arial"><b><%=aryCovLabels(i)%></b></font></td>
			<td align="right"> <font face="Arial" size="2"><b>Amount</b></font> </td>
			<td align="right"> <font face="Arial" size="2"><b>Premium</b></font> </td>
		</tr>
		<tr>
			<td valign="TOP"> <font face="Arial" size="2"><b>Collision (deductible)</b></font> </td>
			<td valign="TOP" align="right"> 
				$<%=rsCurrPol(strPfx & "COV1")%> ($<%=rsCurrPol(strPfx & "DED1")%>) 
			</td>
			<td valign="TOP" align="right"> $<%=rsCurrPol(strPfx & "PREM1")%> </td>
		</tr>
		<tr>
			<td> <font face="Arial" size="2"><b>Bodily Injury/Property Damage Liability</b></font></td>
			<td align="right"> 
				$<%=rsCurrPol(strPfx & "COV2")%> 
			</td>
			<td align="right"> $<%=rsCurrPol(strPfx & "PREM2")%> </td>
		</tr>
		<tr>
			<td> <font face="Arial" size="2"><b>Personal Injury Protection</b></font></td>
			<td align="right"> 
				$<%=rsCurrPol(strPfx & "COV3")%> 
			</td>
			<td align="right"> $<%=rsCurrPol(strPfx & "PREM3")%> </td>
		</tr>
		<tr>
			<td> <font face="Arial" size="2"><b>Underinsured Motorist Coverage</b></font></td>
			<td align="right"> 
				$<%=rsCurrPol(strPfx & "COV4")%> 
			</td>
			<td align="right"> $<%=rsCurrPol(strPfx & "PREM4")%> </td>
		</tr>
		<tr>
			<td align="right"> <font face="Arial" size="2" color="#FF0000"><b>Total Annual Premium</b></font></td>
			<td align="right"> &nbsp; </td>
			<td align="right"> <font face="Arial" size="2" color="#FF0000"><b>$<%=tot_prem%>/year</b></font></td>
		</tr>
		</table>
	</td>
</tr>
<%
		Set rsCurrPol = Nothing 'dereference recordsets
		Set rsCurrVeh = Nothing
	end if
next
%>
</table>
